Subject: bug#67556: 29.1; java-ts-mode doesn't indent open curly brackets properly

From: Dmitry Gutov <[email-masked]>
Date: Mon, 12 Feb 2024 00:44:40 +0200

On 09/12/2023 18:40, Theodor Thornhill via Bug reports for GNU Emacs, 
the Swiss army knife of text editors wrote:
> This can be supported, but no Java code is indented like this, though.

At the very least, this style has been somewhat popular a decade ago 
when I last did Java.

Note that our Android port uses a somewhat similar style, though that 
one is more likely because the author likes the GNU C indentation.